Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## jason.asSyntax
Enum PlanBody.BodyType

    java.lang.Object
      java.lang.Enum<PlanBody.BodyType>
          jason.asSyntax.PlanBody.BodyType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PlanBody.BodyType>

Enclosing interface:
  PlanBody

    public static enum PlanBody.BodyType

extends java.lang.Enum<PlanBody.BodyType>

Enum Constant Summary
`achieve`
`achieveNF`
`action`
`addBel`
`constraint`
`delAddBel`
`delBel`
`internalAction`
`none`
`test`

Method Summary
`static PlanBody.BodyType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PlanBody.BodyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### none

    public static final PlanBody.BodyType none

### action

    public static final PlanBody.BodyType action

### internalAction

    public static final PlanBody.BodyType internalAction

### achieve

    public static final PlanBody.BodyType achieve

### test

    public static final PlanBody.BodyType test

### addBel

    public static final PlanBody.BodyType addBel

### delBel

    public static final PlanBody.BodyType delBel

### delAddBel

    public static final PlanBody.BodyType delAddBel

### achieveNF

    public static final PlanBody.BodyType achieveNF

### constraint

    public static final PlanBody.BodyType constraint

Method Detail

### values

    public static PlanBody.BodyType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PlanBody.BodyType c : PlanBody.BodyType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PlanBody.BodyType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD